import { OnDestroy, OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { PermissionMode } from '../interfaces/permission.interface';
import { Permissions } from '../permissions/permissions.service';
import { AbstractAuthDirective } from './abstract.directive';
import * as i0 from "@angular/core";
export declare class BbPermission extends AbstractAuthDirective implements OnInit, OnDestroy {
    private _permissions;
    private _templateRef;
    private _viewContainerRef;
    private _permission$;
    private _mode$;
    set bbPermission(value: string | string[]);
    set bbPermissionElse(templateRef: TemplateRef<any>);
    set bbPermissionMode(mode: PermissionMode);
    private _subscription;
    constructor(_permissions: Permissions, _templateRef: TemplateRef<any>, _viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ngAcceptInputType_bbPermission: string | string[];
    static ngAcceptInputType_bbPermissionElse: TemplateRef<any>;
    static ngAcceptInputType_bbPermissionMode: PermissionMode;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbPermission, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BbPermission, "[bbPermission]", never, { "bbPermission": "bbPermission"; "bbPermissionElse": "bbPermissionElse"; "bbPermissionMode": "bbPermissionMode"; }, {}, never, never, false>;
}
