import { ActivatedRouteSnapshot, CanActivate, CanActivateChild, Router, RouterStateSnapshot } from '@angular/router';
import { AuthConfig } from '../interfaces/config.interface';
import { Auth } from '../auth.service';
import * as i0 from "@angular/core";
export declare class BbAnonymousGuard implements CanActivate, CanActivateChild {
    private _auth;
    private _router;
    private _config?;
    constructor(_auth: Auth, _router: Router, _config?: AuthConfig);
    canActivate(_: ActivatedRouteSnapshot, __: RouterStateSnapshot): import("rxjs").Observable<boolean | import("@angular/router").UrlTree>;
    canActivateChild(childRoute: ActivatedRouteSnapshot, state: RouterStateSnapshot): import("rxjs").Observable<boolean | import("@angular/router").UrlTree>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbAnonymousGuard, [null, null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BbAnonymousGuard>;
}
