import { ActivatedRouteSnapshot, CanActivate, CanActivateChild, Router, RouterStateSnapshot } from '@angular/router';
import { Permissions } from '../permissions/permissions.service';
import { AuthConfig } from '../interfaces/config.interface';
import * as i0 from "@angular/core";
export declare class BbPermissionGuard implements CanActivate, CanActivateChild {
    private _router;
    private _permissions;
    private _config?;
    constructor(_router: Router, _permissions: Permissions, _config?: AuthConfig);
    canActivate(snapshot: ActivatedRouteSnapshot, _: RouterStateSnapshot): import("rxjs").Observable<boolean | import("@angular/router").UrlTree>;
    canActivateChild(childRoute: ActivatedRouteSnapshot, state: RouterStateSnapshot): import("rxjs").Observable<boolean | import("@angular/router").UrlTree>;
    private parsePermission;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbPermissionGuard, [null, null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BbPermissionGuard>;
}
