import { AppPermissions } from '../permissions/permissions.handler';
export declare class AuthConfig {
    applicationId: string;
    http?: {
        scheme?: string;
        header?: string;
    };
    redirects?: {
        authenticated?: string | string[];
        unauthenticated?: string | string[];
        permissionDenied?: string | string[];
    };
    setRedirectOnFailedAuth?: boolean;
    bootstrap?: boolean;
    providers?: string[];
    autoRefresh?: boolean;
    permissions?: AppPermissions<any, any>;
}
