import { PermissionData, PermissionRecord } from '../interfaces/permission.interface';
export declare class AppPermissions<T extends string, R> {
    private _data;
    constructor(_data: PermissionData<T, PermissionRecord<R>>);
    verify(permission: PermissionRecord<R>, role: T): boolean;
    verifyForUser(permission: PermissionRecord<R>, data: object): boolean;
    getRole(data: object): T;
    static forRoles(data: Record<string, string[]>): AppPermissions<string, string>;
}
