import { PermissionOptions } from '../interfaces/permission.interface';
import { AuthConfig } from '../interfaces/config.interface';
import { Auth } from '../auth.service';
import * as i0 from "@angular/core";
export declare class Permissions {
    private _auth;
    private _config?;
    private readonly _permissionHandler;
    constructor(_auth: Auth, _config?: AuthConfig);
    has(value: string | string[], options?: PermissionOptions): import("rxjs").Observable<boolean>;
    private verifyModeAnd;
    private verifyModeOr;
    private getRequiredPermissions;
    static ɵfac: i0.ɵɵFactoryDeclaration<Permissions, [null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<Permissions>;
}
